---
layout: commands
page_title: 'Commands: Monitor'
description: >-
  The `monitor` command is used to connect and follow the logs of a running
  Consul agent. Monitor will show the recent logs and then continue to follow
  the logs, not exiting until interrupted or until the remote agent quits.
---

# Consul Monitor

Command: `consul monitor`

The `monitor` command is used to connect and follow the logs of a running
Consul agent. Monitor will show the recent logs and then continue to follow
the logs, not exiting until interrupted or until the remote agent quits.

The power of the monitor command is that it allows you to log the agent
at a relatively high log level (such as "warn"), but still access debug
logs and watch the debug logs if necessary.

## Usage

Usage: `consul monitor [options]`

#### Command Options

- `-log-level` - The log level of the messages to show. By default this
  is "info". This log level can be more verbose than what the agent is
  configured to run at. Available log levels are "trace", "debug", "info",
  "warn", and "error".
- `-log-json` - Toggles whether the messages are streamed in JSON format.
  By default this is false.

#### API Options

@include 'legacy/http_api_options_client.mdx'
